Verify Sheet Access
curl --request POST \
--url https://api.example.com/api/v1/sheets/verify-access \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sheet_url": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/sheets/verify-access"
payload = { "sheet_url": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sheet_url: '<string>'})
};
fetch('https://api.example.com/api/v1/sheets/verify-access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Google Sheets OAuth
Verify Sheet Access
Verify user has access to a Google Sheet.
Verifies access via Google API (source of truth for permissions).
Returns: Dictionary with access status and sheet metadata
POST
/
api
/
v1
/
sheets
/
verify-access
Verify Sheet Access
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request model for verifying Google Sheets access.
Google Sheets URL to verify
Response
Successful Response
The response is of type Response Verify Sheet Access Api V1 Sheets Verify Access Post · object.
⌘I